(defun c:CL ( / OSN BLP LV EES EJM ETY STR POL DEL POM)
; osy kruznice a oblouku
;------------------------
  (setvar "CMDECHO" 0)
  (command "_UNDO" "_G")
  (setq OSN (getvar "OSMODE")  BLP (getvar "BLIPMODE")  LV (getvar "CLAYER"))

  (setq EES nil)
  (while (null EES)
    (setq EES (entsel "\nVyberte oblouk nebo krunici: "))
    (if EES
      (progn
        (setq EJM (car EES)  ETY (cdr (assoc 0 (entget EJM))))
        (if (and (/= ETY "ARC") (/= ETY "CIRCLE"))
          (progn
            (princ (strcat "\nEntita je " ETY "."))
            (setq EES nil)
          ) ; progn
        ) ; if
      ) ; progn
    ) ; if
  ) ; while

  (setq STR (trans (cdr (assoc 10 (entget EJM))) 0 1))
  (setq POL (cdr (assoc 40 (entget EJM))))

  (initget (+ 1 2 4) "Dlka")
  (setq DEL (getdist "\nDlka/<Pesah>: "))
  (if (= DEL "Dlka")
    (progn
      (initget (+ 1 2 4))
      (setq DEL (getdist STR "\nDlka: "))
    ) ; progn
    (setq DEL (+ POL DEL))
  ) ; if

  (command "_LAYER")
  (if (setq POM (tblsearch "LAYER" "OSY"))
    (progn
      (setq POM (cdr (assoc 70 POM)))
      (cond
        ((or (= POM 65) (= POM 1)) (command "_T" "OSY"))
        ((or (= POM 68) (= POM 4)) (command "_U" "OSY"))
        ((or (= POM 69) (= POM 5)) (command "_U" "OSY" "_T" "OSY"))
      ) ; cond
    ) ; progn
  ) ; if
  (command "_M" "OSY" "")

  (setvar "OSMODE" 0) (setvar "BLIPMODE" 0)
  (command "_LINE" STR (polar STR 0.0 DEL) ""
           "_LINE" STR (polar STR PI DEL) ""
           "_LINE" STR (polar STR (* 0.5 PI) DEL) ""
           "_LINE" STR (polar STR (* 1.5 PI) DEL) "")

  (setvar "OSMODE" OSN) (setvar "BLIPMODE" BLP)
  (command "_LAYER" "_S" LV "")

  (command "_UNDO" "_E")
  (princ)

) ; end defun c:CL
