(defun c:HROZLO ( / ENLA EXSS EXJM EXEN EXATSE EXATJM EXATEN IERAT
                      EXENLA EXATCG EXHSS)

; rozbiti bloku do vrstvy a odstraneni jeho atributu
;----------------------------------------------------
  (setvar "CMDECHO" 0)
  (command "_UNDO" "_G")

  (setq ENLA (entlast))                              ;...posledni entita
  (setq EXSS (entsel))                               ;...vyber entity

  (if EXSS
    (progn
      (setq EXJM (car EXSS))                         ;...jmeno entity
      (setq EXEN (entget EXJM))                      ;...seznam entity
      (setq EXENLA (cdr (assoc 8 EXEN)))             ;...vrstva entity

      ; je entita blok
      (if (= "INSERT" (cdr (assoc 0 EXEN)))
        (progn
          (command "_EXPLODE" EXJM)                  ;...rozbiti bloku

          (setq EXATSE (list))                       ;...aktivace seznamu jmen atributu
          (setq EXATCG (list))                       ;...aktivace seznamu zmeny
          (setq EXATJM (entnext ENLA))               ;...dalsi entita po rozbiti
          (if EXATJM (setq EXATEN (entget EXATJM)))  ;...seznam dalsi entity

          ; separace atributu
          (while EXATJM
            (if (= "ATTDEF" (cdr (assoc 0 EXATEN)))
              (progn
                (setq EXATSE (cons EXATJM EXATSE))   ;...jmeno do seznamu atributu
              ) ; progn
              (progn
                (setq EXATCG (cons EXATJM EXATCG))   ;...jmeno do seznamu ostatnich
              ) ; progn
            ) ; if

            (setq EXATJM (entnext EXATJM))           ;...dalsi entita
            (if EXATJM (setq EXATEN (entget EXATJM)))
                                                     ;...seznam dalsi entity
          ) ; while

          ; zmena ostatnich entit podle vrstvy
          (setq IERAT 0  EXHSS (ssadd))
          (repeat (length EXATCG)
            (setq EXHSS (ssadd (nth IERAT EXATCG) EXHSS))
            (setq IERAT (1+ IERAT))
          ) ; repeat
          (if (> (sslength EXHSS) 0)
            (command "_CHPROP" EXHSS ""
                     "_C" "_BYLAYER"
                     "_LT" "_BYLAYER"
                     "_LA" EXENLA
                     ""
            ) ; command
          ) ; if

          (if (= 0 (length EXATCG))
            (princ "\nBlok neobsahoval entity.")
            (princ (strcat "\nPrvky bloku byly pemstny do vrstvy " EXENLA "."))
          ) ; if

          ; vymaz atributu podle zjistenych jmen
          (setq IERAT 0)
          (repeat (length EXATSE)
            (command "_ERASE" (nth IERAT EXATSE) "")
            (setq IERAT (1+ IERAT))
          ) ; repeat

          (if (= 0 (length EXATSE))
            (princ " Blok neobsahoval atributy.")
            (princ " Atributy bloku byly odstranny.")
          ) ; if

        ) ; progn
        (princ "\nEntita nen blok.")
      ) ; if
    ) ; progn
  ) ; if

  (command "_UNDO" "_E")
  (princ)

) ; end defun c:HROZLO
