; By Jimmy Bergmark
; Copyright (C) 2004-2008 JTB World, All Rights Reserved
; Website: www.jtbworld.com
; E-mail: info@jtbworld.com
; 2004-05-23 - Added support to delete filters introduced in 2005
; 2005-03-14 - Confirmed to work with AutoCAD 2006
; 2005-04-19 - Added (vl-load-com)
; Written for AutoCAD 2000, 2000i, 2002, 2004, 2005, 2006, 2007, 2008, 2009
; Written for ZWCAD+ and SkiJo

(Vl-Load-Com)

(defun c:DELEFILA ()
;-----------------
  (Vl-Catch-All-Apply
   '(lambda ()
      (Vla-Remove
        (Vla-GetExtensionDictionary
          (Vla-Get-Layers
            (Vla-Get-ActiveDocument
              (Vlax-Get-Acad-Object)
        ) ) )
        "ACAD_LAYERFILTERS"
  ) ) )
  (Vl-Catch-All-Apply
   '(lambda ()
      (Vla-Remove
        (Vla-GetExtensionDictionary
          (Vla-Get-Layers
            (Vla-Get-ActiveDocument
              (Vlax-Get-Acad-Object)
        ) ) )
        "AcLyDictionary"
  ) ) )
  (princ "\nFiltry hladin vymazny.")
  (princ)

) ; end defun c:DELEFILA

(princ)
