(defun c:ROD-END ( / OSN BLP ESE1 ESE2 EJM1 EJM2 ENT1 ENT2 E1B1 E1B2 E2B1 E2B2
                     X1 X2 X3 X4 X5 X6 X7 UHL DIS POM)
; ukonceni soucastky
;--------------------
  (setvar "CMDECHO" 0)
  (command "_UNDO" "_G")
  (setq OSN (getvar "OSMODE")  BLP (getvar "BLIPMODE"))

  (while (null ESE1)
    (initget 1)
    (setq ESE1 (entsel "\nVyber prvn seku: "))
    (if ESE1
      (progn
        (setq EJM1 (car ESE1)  X1 (cadr ESE1)  ENT1 (entget EJM1))
        (if (/= (setq POM (cdr (assoc 0 ENT1))) "LINE")
          (progn
            (princ (strcat "\nNeplatn vbr, entita je " POM "."))
            (setq ESE1 nil)
          ) ; progn
        ) ; if
      ) ; progn
    ) ; if
  ) ; while

  (while (null ESE2)
    (initget 1)
    (setq ESE2 (entsel "\nVyber druhou seku: "))
    (if ESE2
      (progn
        (setq EJM2 (car ESE2)  X2 (cadr ESE2)  ENT2 (entget EJM2))
        (if (/= (setq POM (cdr (assoc 0 ENT2))) "LINE")
          (progn
            (princ (strcat "\nNeplatn vbr, entita je " POM "."))
            (setq ESE2 nil)
          ) ; progn
        ) ; if
      ) ; progn
    ) ; if
  ) ; while

  (setq X1 (osnap X1 "_NEAR")  X2 (osnap X2 "_NEAR"))
  (setq E1B1 (trans (cdr (assoc 10 ENT1)) 0 1)
        E1B2 (trans (cdr (assoc 11 ENT1)) 0 1)
        E2B1 (trans (cdr (assoc 10 ENT2)) 0 1)
        E2B2 (trans (cdr (assoc 11 ENT2)) 0 1))
  (setq X3
    (inters E2B1 E2B2 X1 (polar X1 (+ (angle E1B1 E1B2) (* 0.5 PI)) 1000) nil)
  ) ; setq
  (setq UHL (angle X1 X3)
        DIS (distance X1 X3)
        X4  (polar X1 UHL (* DIS 0.5))   ; stred
        X5  (polar (polar X1 UHL (* DIS 0.40)) (+ UHL (* 0.5 PI)) (/ DIS 10.0))
        X6  (polar (polar X4 UHL (* DIS 0.10)) (+ UHL (* 1.5 PI)) (/ DIS 10.0))
        X7  (polar (polar X4 UHL (* DIS 0.10)) (+ UHL (* 0.5 PI)) (/ DIS 9.0))
  ) ; setq

  (setvar "OSMODE" 0) (setvar "BLIPMODE" 0)

  (command "_CHANGE" EJM1 "" X1  "_CHANGE" EJM2 "" X3
           "_PLINE" X1 X5 X4 X6 X3 X7 X4 ""  "_PEDIT" (entlast) "_F" ""
  ) ; command

  (setvar "OSMODE" OSN) (setvar "BLIPMODE" BLP)
  (command "_UNDO" "_E")
  (princ)

) ; end defun c:ROD-END
